#include "my_widget.h"

#include <QtGui>

#include <QtSql>


My_Widget::My_Widget(QWidget *parent) : QWidget(parent){

    db = new QSqlDatabase;

    *db = QSqlDatabase::addDatabase("QSQLITE");      //  Making connection with database.*

    db->setHostName("fbi");

    db->setDatabaseName("DatabaseName.db");

    db->setUserName("Nikita");

    db->setPassword("Password");

    try{

        if(!db->open()) throw 42;

    }

    catch(int){

        QMessageBox::critical(0, QObject::tr("Database Error"), db->lastError().text());

        exit(2);

    }                                               //  Making connection with the database.*

    TableQuery = new QSqlQuery("CREATE TABLE IF NOT EXISTS NotesTable(Date_Time TEXT, Note TEXT);");

    TableModel = new QSqlTableModel(this);

    TableModel->setTable("NotesTable");

    TableModel->select();

    TableModel->setEditStrategy(QSqlTableModel::OnRowChange);

    TableModel->setSort(0, Qt::AscendingOrder);

    TableModel->setHeaderData(0, Qt::Horizontal, "Date & Time");

    TableView = new QTableView(this);

    TableView->setModel(TableModel);

}

My_Widget::~My_Widget(){

}
